Subject: Re: [PATCH net-next,V2] Add LAN9352 Ethernet Driver

From: Andrew Lunn <[email-masked]>
Date: Fri, 12 Feb 2016 18:18:29 +0100

> At this point my plan is to just get a basic Ethernet controller
> driver submitted, and later work on switch features.

They are not really separable. 

The linux way of dealing with switches is to model each port as a net
device. So you should have a lan0 device and a lan1 device for this
two port switch. You can put IP addresses on the ports, and use them
as separate ports. If you want to bridge the two ports, you create a
linux bridge and add the ports to the bridge. Using netdev or DSA, you
can then push this configuration down to the hardware, so it performs
the actual bridging of packets between ports.

    Andrew